package com.rf.psychological.group.service;

import com.rf.psychological.group.dao.model.GroupEntity;

import java.util.List;

/**
 * @author lpf
 * @description:
 * @date 26/10/2021下午4:35
 */
public interface GroupInfoService {

    //查询机构下的组信息
    List<GroupEntity> findAllByInstitutionNo(String institutionNo);

    GroupEntity addGroup(GroupEntity groupEntity);

    void delGroup(List<String> ids);

    void updateGroup(String groupName, String id);

    GroupEntity findGroupByInstitutionNoAndName(String institutionNo, String defaultGroupName);

    GroupEntity findById(String id);
}
